Status: Closed Start date:  
Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.9   

Resolution: Fixed Affected version:  

Description

Since recently, some system tests in Redmine have started to fail randomly. This patch addresses that issue.

Failure:

IssuesSystemTest#test_create_issue_with_attachment_when_user_is_not_a_member [test/test_helper.rb:

231]:

"Issue.count" didn't change by 1, but by 0.

Expected: 15

  Actual: 14

bin/rails test test/system/issues_test.rb:149

Failure:

IssuesSystemTest#test_create_issue_with_attachment [test/test_helper.rb:231]:

"Issue.count" didn't change by 1, but by 0.

Expected: 15

  Actual: 14

bin/rails test test/system/issues_test.rb:134

Failure:

IssuesSystemTest#test_update_issue_with_form_update_should_keep_newly_added_attachments [test/syst

em/issues_test.rb:270]:

Expected: 3

  Actual: 2

...

 These failures appear to have started with Chrome 133 and later. The root cause is that the tests verify outcomes before the tested

operations—such as issue creation—are fully completed. This patch adds assertions to ensure the operations are finished before

verification.

A similar issue, where tests fail due to the changes in Chrome 133 and later, has been reported here:

https://github.com/teamcapybara/capybara/issues/2800

With this fix and the fix from #42422, I have confirmed that all system tests pass with the latest version of Chrome.

Associated revisions

Revision 23756 - 2025-05-11 13:03 - Go MAEDA

Fix random failures in several system tests with Chrome 133 and later (#42687).

Patch by Katsuya HIDAKA (user:hidakatsuya).

Revision 23758 - 2025-05-12 11:11 - Go MAEDA

Merged r23756 from trunk to 6.0-stable (#42687).

Revision 23759 - 2025-05-12 11:29 - Go MAEDA

Backport r23051 from trunk to 5.1-stable (#42687).
Revision 23760 - 2025-05-12 11:43 - Go MAEDA

Merged r23756 from trunk to 5.1-stable (#42687).

History

#1 - 2025-05-10 12:10 - Erica Den

It sounds like Chrome 133 and later introduced changes that caused tests to fail due to premature verification of operations. Your patch ensures that

assertions are in place to confirm operations—like issue creation—are fully completed before verification, resolving the problem.

#2 - 2025-05-10 12:29 - Go MAEDA

- Target version set to 5.1.9

Setting the target version to 5.1.9.

#3 - 2025-05-11 13:03 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r23756. Thank you.

#4 - 2025-05-12 11:45 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix into the stable branches in r23758 and r23760.
